%define name powerpc-utils-papr
%define version 1.0.1
%define release 1
Summary:	Utilities for IBM powerpc PAPR platforms
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	IBM Common Public License (CPL)
Group:		System Environment
Source0:	N/A
BuildRoot:	/tmp/%{name}-buildroot/
Requires:	/bin/bash, /bin/sh, /bin/sed, /usr/bin/perl, librtas >= 1.2-0

%description
Utilities for maintaining and servicing IBM powerpc systems that adhere to
the POWER Architecture Platform Reference (PAPR).

%files 
%defattr(-,root,root)
/usr/share/doc/packages/powerpc-utils-papr/README
/usr/share/doc/packages/powerpc-utils-papr/COPYRIGHT
/usr/sbin/update_flash
/usr/sbin/activate_firmware
/usr/sbin/usysident
/usr/sbin/usysattn
/usr/sbin/set_poweron_time
/usr/sbin/rtas_ibm_get_vpd
/usr/sbin/serv_config
/usr/sbin/uesensor
/usr/sbin/hvcsadmin
/usr/sbin/vscsisadmin
/usr/sbin/rtas_dump
/usr/sbin/rtas_event_decode
/etc/init.d/ibmvscsis.sh
/usr/share/man/man8/update_flash.8
/usr/share/man/man8/activate_firmware.8
/usr/share/man/man8/usysident.8
/usr/share/man/man8/usysattn.8
/usr/share/man/man8/set_poweron_time.8
/usr/share/man/man8/rtas_ibm_get_vpd.8
/usr/share/man/man8/serv_config.8
/usr/share/man/man8/uesensor.8
/usr/share/man/man8/hvcsadmin.8
/usr/share/man/man8/vscsisadmin.8
/usr/share/man/man8/ibmvscsis.sh.8
/usr/share/man/man8/ibmvscsis.conf.8
/usr/share/man/man8/rtas_dump.8

%post
# Post-install script -----------------------------------------------
ln -sf /usr/sbin/usysattn usr/sbin/usysfault
ln -sf /usr/sbin/serv_config usr/sbin/uspchrp
ln -sf /usr/share/man/man8/usysattn.8 usr/share/man/man8/usysfault.8
ln -sf /usr/share/man/man8/serv_config.8 usr/share/man/man8/uspchrp.8

%postun
# Post-uninstall script ---------------------------------------------
if [ "$1" = "0" ]; then
	# last uninstall
	rm -f /usr/sbin/usysfault
	rm -f /usr/sbin/uspchrp
	rm -f /usr/share/man/man8/usysfault.8.gz
	rm -f /usr/share/man/man8/uspchrp.8.gz
fi

